package com.zhentao.moment.config;

import com.aliyun.oss.OSSClient;
import com.zhentao.moment.config.OssProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import java.net.MalformedURLException;
import java.net.URL;

@Configuration
@EnableConfigurationProperties(OssProperties.class)
public class OssConfig {

    @Autowired
    private OssProperties ossProperties;

    @Bean
    public OSSClient ossClient() throws MalformedURLException {
        // 创建OSSClient实例
        return new OSSClient(
                String.valueOf(new URL(ossProperties.getEndpoint())),
                ossProperties.getAccessKeyId(),
                ossProperties.getAccessKeySecret()
        );
    }
}
